> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Zelle ID Status

> Get the validation status of a Zelle ID for a specified user



## OpenAPI

````yaml GET /zelle/status/{user_id}
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /zelle/status/{user_id}:
    get:
      tags:
        - Zelle
      summary: Get Zelle ID Validation Status
      description: Get the validation status of a Zelle ID for a specified user
      operationId: getZelleIdStatus
      parameters:
        - name: user_id
          in: path
          description: User Identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ZelleStatusResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    ZelleStatusResp:
      type: object
      properties:
        data:
          type: object
          properties:
            zelle_id:
              type: string
              example: user@example.com
            status:
              type: string
              enum:
                - PENDING
                - VALIDATED
                - INVALID
                - NAME_MISMATCH
              example: VALIDATED
        message:
          type: string
          example: >-
            Zelle ID validation request received. Status will be provided via
            webhook.
        success:
          type: boolean
          example: true
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false

````